default:
    extensions:
        Behat\MinkExtension:
            base_url: 'http://localhost'
            goutte: ~
            sahi:
                limit: 1200
            selenium2:
                capabilities: { "browser": "firefox", "version": "17"}
            javascript_session: sahi
            browser_name: firefox

        Behat\Symfony2Extension:
            kernel:
                bootstrap: ezpublish/autoload.php
                path: ezpublish/EzPublishKernel.php
                class: EzPublishKernel
                env: behat
                debug: false

rest:
    suites:
        fullJson:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishRestBundle/Features ]
            contexts: 
                - eZ\Bundle\EzPublishRestBundle\Features\Context\RestContext:
                    url: http://localhost/api/ezp/v2/
                    driver: BuzzDriver
                    type: json
        fullXml:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishRestBundle/Features ]
            contexts: 
                - eZ\Bundle\EzPublishRestBundle\Features\Context\RestContext:
                    url: http://localhost/api/ezp/v2/
                    driver: BuzzDriver
                    type: xml
        guzzle:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishRestBundle/Features ]
            contexts: 
                - eZ\Bundle\EzPublishRestBundle\Features\Context\RestContext:
                    url: http://localhost/api/ezp/v2/
                    driver: GuzzleDriver
                    type: json

demo:
    suites:
        content:
            paths: [ vendor/ezsystems/demobundle/EzSystems/DemoBundle/Features/Content ]
            contexts: [ EzSystems\DemoBundle\Features\Context\Content\Context ]

legacyAdmin:
    extensions:
        Behat\MinkExtension:
            base_url: http://localhost/behat_site_admin
    suites:
        full:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishLegacyBundle/Features/Admin ]
            contexts: [ eZ\Bundle\EzPublishLegacyBundle\Features\Context\Admin\Context ]

setupWizard:
    suites:
        demoContent:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishLegacyBundle/Features/SetupWizard ]
            contexts: [ eZ\Bundle\EzPublishLegacyBundle\Features\Context\SetupWizard\Context ]
            filters:
                tags: '@demo && ~@clean && ~@skipByDefault'
        demoClean:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishLegacyBundle/Features/SetupWizard ]
            contexts: [ eZ\Bundle\EzPublishLegacyBundle\Features\Context\SetupWizard\Context ]
            filters:
                tags: '@demo && ~@content && ~@skipByDefault'
        demoContentNonUniqueDB:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishLegacyBundle/Features/SetupWizard ]
            contexts: [ eZ\Bundle\EzPublishLegacyBundle\Features\Context\SetupWizard\Context ]
            filters:
                tags: '@demo && ~@clean && ~@uniqueDatabaseSystem'
        demoCleanNonUniqueDB:
            paths: [ vendor/ezsystems/ezpublish-kernel/eZ/Bundle/EzPublishLegacyBundle/Features/SetupWizard ]
            contexts: [ eZ\Bundle\EzPublishLegacyBundle\Features\Context\SetupWizard\Context ]
            filters:
                tags: '@demo && ~@content && ~@uniqueDatabaseSystem'
